### Class

# EvinceDocument TransitionEffect

since: 3.0

#### Description

    class EvinceDocument.TransitionEffect : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 3.0

#### Ancestors

- GObject

#### Constructors

###### ev_transition_effect_new

No description available.

since: 3.0

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### EvinceDocument.TransitionEffect:alignment

No description available.

since: 3.0

###### EvinceDocument.TransitionEffect:angle

No description available.

since: 3.0

###### EvinceDocument.TransitionEffect:direction

No description available.

since: 3.0

###### EvinceDocument.TransitionEffect:duration

No description available.

since: 3.0

###### EvinceDocument.TransitionEffect:duration-real

No description available.

since: 3.0

###### EvinceDocument.TransitionEffect:rectangular

No description available.

since: 3.0

###### EvinceDocument.TransitionEffect:scale

No description available.

since: 3.0

###### EvinceDocument.TransitionEffect:type

No description available.

since: 3.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct EvinceDocumentTransitionEffectClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.